Bug 1942086 - Administrator -> Home - i18n misses
Summary: Administrator -> Home - i18n misses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Xiyun Zhao
URL:
Whiteboard: Scrubbed
: 1942684 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-23 15:56 UTC by Krishna Babu K
Modified: 2021-07-27 22:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:55:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
i18n misses - Home menu (1.62 MB, application/zip)
2021-03-23 15:56 UTC, Krishna Babu K
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8571 0 None open Bug 1942086: Fix Home i18n misses 2021-04-06 16:43:50 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:55:26 UTC

Description Krishna Babu K 2021-03-23 15:56:24 UTC
Created attachment 1765607 [details]
i18n misses - Home menu

Created attachment 1765607 [details]
i18n misses - Home menu

Description of problem:
In Administrator perspective, 'Home' menu navigation has some content in English. Took the screenshots and attached here for reference 

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-03-22-064955

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Content is in English

Expected results:
Content should be in selected language.

Additional info:

Comment 1 ralpert 2021-03-25 15:50:18 UTC
Notes on files:
* The duration dropdown (Screenshot from 2021-03-23 20-41-04) was already addressed in https://github.com/openshift/console/pull/8332
* Alerting filter toolbar chips (Screenshot from 2021-03-23 20-47-51) were mentioned in a separate bug I filed (bug has not been addressed). Will need to close if all work is covered in Krishna's bug reports.
* Alerting filter toolbar (Screenshot from 2021-03-23 20-47-59) is mentioned in a separate bug I filed (bug has not been addressed). Will need to close if all work is covered in Krishna's bug reports.
* Alerting > Silences (Screenshot from 2021-03-23 20-48-10) is already correctly pseudolocalized.
* Alerting > Alerting Rules > AR Watchdog details page heading (Screenshot from 2021-03-23 20-50-09) - bug has not been addressed
* Projects Create button (Screenshot from 2021-03-23 21-05-42) is already correctly pseudolocalized
* Delete project modal (Screenshot from 2021-03-23 21-08-53) is already correctly pseudolocalized
* Create project modal (Screenshot from 2021-03-23 21-09-23) is already correctly pseudolocalized
* Search resources dropdown (Screenshot from 2021-03-23 21-18-47) is already correctly pseudolocalized
* Explore filter bar (Screenshot from 2021-03-23 21-20-03) is already correctly pseudolocalized

Needs update:
* Alerting filter toolbar (covers chips and dropdown)
* Alerting Rules AR Watchdog details page heading

Comment 2 Samuel Padgett 2021-04-16 14:12:57 UTC
*** Bug 1942684 has been marked as a duplicate of this bug. ***

Comment 3 Samuel Padgett 2021-04-16 14:34:25 UTC
Marking this as low since most of the issues are already addressed. We're just waiting for updated translations from the globalization team.

Comment 5 Xiyun Zhao 2021-04-29 08:33:46 UTC
This bug has been verified on payload 4.8.0-0.nightly-2021-04-26-151924

Verify Step:
1. Login OCP as administrator
2. Add parameter of '&lng=en&pseudolocalization=true' at the end of the URL
3. Follow the attached file, check if all mentioned parts has been translated on Pipeline with i18n format

Resut:
The mentioned parts has been translated

Comment 8 errata-xmlrpc 2021-07-27 22:55:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.